tmat.h File Reference

Transition matrix data structure. More...

`#include <stdio.h>`
`#include <sphinxbase/logmath.h>`

Go to the source code of this file.

## Data Structures

struct | tmat_t
| Transition matrix data structure. More...

## Functions

tmat_t * | tmat_init (char const *tmatfile, logmath_t *lmath, float64 tpfloor, int32 breport)
| Initialize transition matrix. More...
void | tmat_dump (tmat_t *tmat, FILE *fp)
| Dumping the transition matrix for debugging. More...
void | tmat_free (tmat_t *t)
| RAH, add code to remove memory allocated by tmat_init. More...
void | tmat_report (tmat_t *t)
| Report the detail of the transition matrix structure. More...

## Detailed Description

Transition matrix data structure.

Definition in file tmat.h.

## Function Documentation

## tmat_dump()

void tmat_dump | ( | tmat_t * | tmat,
|  | FILE * | fp
| ) |  |

Dumping the transition matrix for debugging.

Parameters

  tmat | In: transition matrix
  fp | In: file pointer

Definition at line 72 of file tmat.c.

References tmat_t::n_state, tmat_t::n_tmat, and tmat_t::tp.

## tmat_free()

void tmat_free | ( | tmat_t * | t | ) |

RAH, add code to remove memory allocated by tmat_init.

Parameters

  t | In: transition matrix

Definition at line 275 of file tmat.c.

References tmat_t::tp.

Referenced by acmod_free().

## tmat_init()

tmat_t* tmat_init | ( | char const * | tmatfile,
|  | logmath_t * | lmath,
|  | float64 | tpfloor,
|  | int32 | breport
| ) |  |

Initialize transition matrix.

Parameters

  tmatfile | In: input file
  lmath | In: log math parameters
  tpfloor | In: floor value for each non-zero transition probability
  breport | In: whether reporting the process of tmat_t

Definition at line 134 of file tmat.c.

References tmat_t::n_state, tmat_t::n_tmat, SENSCR_SHIFT, and tmat_t::tp.

## tmat_report()

void tmat_report | ( | tmat_t * | t | ) |

Report the detail of the transition matrix structure.

Parameters

  t | In: transition matrix

Definition at line 262 of file tmat.c.

References tmat_t::n_state, and tmat_t::n_tmat.